> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create load balancer

> Create new load balancer. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json post /network/load_balancers
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /network/load_balancers:
    post:
      tags:
        - Network Load Balancer
      summary: Create load balancer
      description: Create new load balancer. Location-specific endpoint.
      operationId: createLoadBalancer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                display_name:
                  type: string
                billing_account_id:
                  type: integer
                network_uuid:
                  type: string
                reserve_public_ip:
                  type: boolean
                rules:
                  type: array
                  items:
                    type: object
                  description: JSON
                targets:
                  type: array
                  items:
                    type: object
                  description: JSON
            example:
              display_name: my LB
              billing_account_id: 130157
              network_uuid: 438ac62f-e97b-4ef0-8940-507b9e94af43
              reserve_public_ip: true
              rules:
                - source_port: 8080
                  target_port: 80
              targets:
                - target_uuid: 145cc106-e067-419a-85fd-333ded30f169
                  target_type: vm
                - target_uuid: e9717243-59df-4847-bd50-dca5b090432b
                  target_type: vm
      responses:
        '200':
          description: Created load balancer
          content:
            application/json:
              schema:
                type: object
              example:
                uuid: 438ac62f-e97b-4ef0-8940-507b9e94af43
                display_name: my LB
                billing_account_id: 130157
                private_address: 10.112.231.192
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````